Static Public Member Functions

# wxFileTranslationsLoader Class Reference

`#include <wx/translation.h>`

Inheritance diagram for wxFileTranslationsLoader:
[legend]

## Detailed Description

Standard wxTranslationsLoader implementation.

This finds catalogs in the filesystem, using the standard Unix layout. This is the default unless you change the loader with wxTranslations::SetLoader().

Catalogs are searched for in standard places (current directory first, then the system one), but you may also prepend additional directories to the search path with AddCatalogLookupPathPrefix().

Since:
  2.9.1

## Static Public Member Functions
static void | AddCatalogLookupPathPrefix (const wxString &prefix)
| Add a prefix to the catalog lookup path: the message catalog files will be looked up under prefix/lang/LC_MESSAGES, prefix/lang and prefix (in this order).

List of all members.

## Member Function Documentation

static void wxFileTranslationsLoader::AddCatalogLookupPathPrefix | ( | const wxString & | prefix | ) | `[static]`

Add a prefix to the catalog lookup path: the message catalog files will be looked up under prefix/lang/LC_MESSAGES, prefix/lang and prefix (in this order).

This only applies to subsequent invocations of wxTranslations::AddCatalog().

|  | [ top ]